Page MenuHomeVyOS Platform

1.2.0-rc7 duplex auto (autogenerated config) setting not accepted
Closed, ResolvedPublicBUG

Description

installed a fresh 1.2.0-rc7 from scratch.
Wanted to set eth0 to dhcp and ran into this problem{F266406}
I just set the dhcp address
Vyos added the "duplex auto " itself but doesn't recognize the option during commit.

*update*
After looking further, it seems it did commit.
eth0 has an ipv4 address.
so the fuzz is just about the message during commit

*update II *
It seems this only happens to KVM with virtio NIC interface.
Know problem, only few will see this.

dmbaturin wrote on irc:
"People previously reported similar (luckily, harmless) issues with ethernet tools and virtio.
Since it lacks a PHY as such, ethtools diagnostics also fail to show anything useful there."

when i checked:
mii-tool eth0 -> SIOCGMIIPHY on 'eth0' failed: Operation not supported

dmbaturin again:
" wonder if we can add a check and wrap such errors in explanatory messages."

Details

Difficulty level
Easy (less than an hour)
Version
1.2.0-rc7
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

fromport created this task.Nov 15 2018, 5:05 PM
fromport updated the task description. (Show Details)Nov 15 2018, 5:16 PM
fromport updated the task description. (Show Details)Nov 15 2018, 5:50 PM
pasik added a subscriber: pasik.Nov 15 2018, 7:11 PM
syncer assigned this task to c-po.Dec 1 2018, 5:40 PM
syncer triaged this task as Normal priority.
syncer edited projects, added VyOS 1.2 Crux ( VyOS 1.2.0-rc11); removed VyOS 1.2 Crux.
c-po added a comment.Feb 10 2019, 7:38 PM

@fromport how to reproduce? Is this possible with VMWare ESXi? If now, which virtualisation tool to use for testing?

c-po removed c-po as the assignee of this task.Apr 21 2019, 11:24 AM
c-po added a subscriber: c-po.

Over the past 3 months of rolling releases, I haven't seen this problem in KVM with virtio.

vyos@1.2-roll-ns# run show interfaces ethernet eth0 physical 
Settings for eth0:
        Supported ports: [ ]
        Supported link modes:   Not reported
        Supported pause frame use: No
        Supports auto-negotiation: No
        Supported FEC modes: Not reported
        Advertised link modes:  Not reported
        Advertised pause frame use: No
        Advertised auto-negotiation: No
        Advertised FEC modes: Not reported
        Speed: Unknown!
        Duplex: Unknown! (255)
        Port: Other
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: off
        Link detected: yes
driver: virtio_net
version: 1.0.0
firmware-version: 
expansion-rom-version: 
bus-info: 0000:00:03.0
supports-statistics: yes
supports-test: no
supports-eeprom-access: no
supports-register-dump: no
supports-priv-flags: no
c-po added a comment.Dec 10 2019, 4:30 PM

That subsystem has now been completely rewritten and certain things are skipped if underlaying hardware is virtio or vmxnet.

I will close this as resolved, please reopen if it returns again in rolling. Unfortunately this can not be backported easily to lts

c-po closed this task as Resolved.Dec 10 2019, 4:31 PM
c-po set Is it a breaking change? to Unspecified (possibly destroys the router).
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Feb 9 2020, 2:16 PM